#!/bin/bash
KERNELDIR=~/linux-davinci
GCC_PREFIX=arm-angstrom-linux-gnueabi- 

# Note that we use `"$@"' to let each command-line parameter expand to a 
# separate word. The quotes around `$@' are essential!
# We need TEMP as the `eval set --' would nuke the return value of getopt.
TEMP=`getopt -o C: --long kerneldir: \
     -n 'build' -- "$@"`

if [ $? != 0 ] ; then echo "Terminating..." >&2 ; exit 1 ; fi

# Note the quotes around `$TEMP': they are essential!
eval set -- "$TEMP"

while true ; do
        case "$1" in
                -C|--kerneldir)
                	KERNELDIR=$2 ; shift 2 ;;
                --) shift ; break ;;
                *) echo "Internal error!" ; exit 1 ;;
        esac
done
echo "Remaining arguments:"
for arg do echo '--> '"\`$arg'" ; done

echo Using KERNELDIR = ${KERNELDIR}
PWD=`pwd`

echo make -C ${KERNELDIR}  M=${PWD} ARCH=arm CROSS_COMPILE=${GCC_PREFIX} modules

make -C ${KERNELDIR}  M=${PWD} ARCH=arm CROSS_COMPILE=${GCC_PREFIX} modules

